org.appng.tools.poi

## Class WorkBookHelper

- java.lang.Object
- - org.appng.tools.poi.WorkBookHelper

-     public class WorkBookHelper
      extends Object

  A utility-class to support easier creation of a `Workbook`
  Author:
    Matthias Müller, 2012

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkBookHelper(org.apache.poi.ss.usermodel.Workbook wb)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column)`
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column, org.apache.poi.ss.usermodel.CellStyle cellStyle)`
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column, String value)`
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column, String value, Border border)`
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column, String value, Borders borders)`
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column, String value, org.apache.poi.ss.usermodel.CellStyle cellStyle)`
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column, String value, org.apache.poi.ss.usermodel.CellStyle cellStyle, org.apache.poi.ss.usermodel.Font font, Border border)`
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column, String value, org.apache.poi.ss.usermodel.CellStyle cellStyle, org.apache.poi.ss.usermodel.Font font, Borders borders)`
    `org.apache.poi.ss.usermodel.Cell` | `addCell(org.apache.poi.ss.usermodel.Row row, int column, String value, org.apache.poi.ss.usermodel.Font font)`
    `org.apache.poi.ss.usermodel.Cell` | `addHeaderCell(org.apache.poi.ss.usermodel.Row row, int column, String value)`
    `org.apache.poi.ss.usermodel.Cell` | `addHyperLinkCell(org.apache.poi.ss.usermodel.Row row, int column, String value, String address)`
    `void` | `applyBorders(org.apache.poi.ss.usermodel.Sheet sheet, org.apache.poi.ss.util.CellRangeAddress cellRangeAddress, Borders borders)`
    `void` | `applyOuterBorders(org.apache.poi.ss.usermodel.Sheet sheet, org.apache.poi.ss.util.CellRangeAddress cellRangeAddress, Borders borders)`
    `void` | `autoSizeAllColumns(org.apache.poi.ss.usermodel.Sheet sheet, int columns)`
    `void` | `autoSizeColumns(org.apache.poi.ss.usermodel.Sheet sheet, int... columns)`
    `void` | `borderColumns(org.apache.poi.ss.usermodel.Sheet sheet, Border border, int... columns)`
    `void` | `borderColumns(org.apache.poi.ss.usermodel.Sheet sheet, int startRow, Border border, int... columns)`
    `void` | `borderRow(org.apache.poi.ss.usermodel.Row row, Border border, int endColumnsIndex)`
    `void` | `borderRow(org.apache.poi.ss.usermodel.Row row, Border border, int beginColumnIndex, int endColumnsIndex)`
    `Borders.BorderBuilder` | `borders()`
    `org.apache.poi.ss.usermodel.Sheet` | `createSheet()`
    `FontBuilder` | `font()`
    `byte[]` | `getData()`
    `org.apache.poi.ss.usermodel.CellStyle` | `getDefaultCellstyle()`
    `org.apache.poi.ss.usermodel.CellStyle` | `getHeaderCellStyle()`
    `int` | `getMaxRow(org.apache.poi.ss.usermodel.Sheet sheet)`
    `org.apache.poi.ss.usermodel.Row` | `getRow(org.apache.poi.ss.usermodel.Sheet sheet, int row)`
    `void` | `setAutoFilter(org.apache.poi.ss.usermodel.Sheet sheet, int startRow, int columns)`
    `void` | `setColumnAndRowSpan(org.apache.poi.ss.usermodel.Sheet sheet, org.apache.poi.ss.usermodel.Cell cell, int colSpan, int rowSpan)`
    `void` | `setColumnSpan(org.apache.poi.ss.usermodel.Sheet sheet, org.apache.poi.ss.usermodel.Cell cell, int span)`
    `void` | `setDefaultCellstyle(org.apache.poi.ss.usermodel.CellStyle defaultCellstyle)`
    `void` | `setHeaderCellstyle(org.apache.poi.ss.usermodel.CellStyle headerCellstyle)`
    `void` | `setRowSpan(org.apache.poi.ss.usermodel.Sheet sheet, org.apache.poi.ss.usermodel.Cell cell, int span)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkBookHelper

          public WorkBookHelper(org.apache.poi.ss.usermodel.Workbook wb)

  - ### Method Detail

    - #### createSheet

          public org.apache.poi.ss.usermodel.Sheet createSheet()

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column)

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column,
                                                          org.apache.poi.ss.usermodel.CellStyle cellStyle)

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column,
                                                          String value)

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column,
                                                          String value,
                                                          org.apache.poi.ss.usermodel.CellStyle cellStyle)

    - #### addHeaderCell

          public org.apache.poi.ss.usermodel.Cell addHeaderCell(org.apache.poi.ss.usermodel.Row row,
                                                                int column,
                                                                String value)

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column,
                                                          String value,
                                                          org.apache.poi.ss.usermodel.Font font)

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column,
                                                          String value,
                                                          Border border)

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column,
                                                          String value,
                                                          Borders borders)

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column,
                                                          String value,
                                                          org.apache.poi.ss.usermodel.CellStyle cellStyle,
                                                          org.apache.poi.ss.usermodel.Font font,
                                                          Border border)

    - #### addCell

          public org.apache.poi.ss.usermodel.Cell addCell(org.apache.poi.ss.usermodel.Row row,
                                                          int column,
                                                          String value,
                                                          org.apache.poi.ss.usermodel.CellStyle cellStyle,
                                                          org.apache.poi.ss.usermodel.Font font,
                                                          Borders borders)

    - #### addHyperLinkCell

          public org.apache.poi.ss.usermodel.Cell addHyperLinkCell(org.apache.poi.ss.usermodel.Row row,
                                                                   int column,
                                                                   String value,
                                                                   String address)

    - #### borderColumns

          public void borderColumns(org.apache.poi.ss.usermodel.Sheet sheet,
                                    Border border,
                                    int... columns)

    - #### borderColumns

          public void borderColumns(org.apache.poi.ss.usermodel.Sheet sheet,
                                    int startRow,
                                    Border border,
                                    int... columns)

    - #### borderRow

          public void borderRow(org.apache.poi.ss.usermodel.Row row,
                                Border border,
                                int endColumnsIndex)

    - #### borderRow

          public void borderRow(org.apache.poi.ss.usermodel.Row row,
                                Border border,
                                int beginColumnIndex,
                                int endColumnsIndex)

    - #### getRow

          public org.apache.poi.ss.usermodel.Row getRow(org.apache.poi.ss.usermodel.Sheet sheet,
                                                        int row)

    - #### getData

          public byte[] getData()
                         throws IOException

      Throws:
        `IOException`

    - #### setColumnSpan

          public void setColumnSpan(org.apache.poi.ss.usermodel.Sheet sheet,
                                    org.apache.poi.ss.usermodel.Cell cell,
                                    int span)

    - #### setAutoFilter

          public void setAutoFilter(org.apache.poi.ss.usermodel.Sheet sheet,
                                    int startRow,
                                    int columns)

    - #### setRowSpan

          public void setRowSpan(org.apache.poi.ss.usermodel.Sheet sheet,
                                 org.apache.poi.ss.usermodel.Cell cell,
                                 int span)

    - #### setColumnAndRowSpan

          public void setColumnAndRowSpan(org.apache.poi.ss.usermodel.Sheet sheet,
                                          org.apache.poi.ss.usermodel.Cell cell,
                                          int colSpan,
                                          int rowSpan)

    - #### autoSizeAllColumns

          public void autoSizeAllColumns(org.apache.poi.ss.usermodel.Sheet sheet,
                                         int columns)

    - #### autoSizeColumns

          public void autoSizeColumns(org.apache.poi.ss.usermodel.Sheet sheet,
                                      int... columns)

    - #### getMaxRow

          public int getMaxRow(org.apache.poi.ss.usermodel.Sheet sheet)

    - #### font

          public FontBuilder font()

    - #### borders

          public Borders.BorderBuilder borders()

    - #### applyBorders

          public void applyBorders(org.apache.poi.ss.usermodel.Sheet sheet,
                                   org.apache.poi.ss.util.CellRangeAddress cellRangeAddress,
                                   Borders borders)

    - #### applyOuterBorders

          public void applyOuterBorders(org.apache.poi.ss.usermodel.Sheet sheet,
                                        org.apache.poi.ss.util.CellRangeAddress cellRangeAddress,
                                        Borders borders)

    - #### getDefaultCellstyle

          public org.apache.poi.ss.usermodel.CellStyle getDefaultCellstyle()

    - #### setDefaultCellstyle

          public void setDefaultCellstyle(org.apache.poi.ss.usermodel.CellStyle defaultCellstyle)

    - #### getHeaderCellStyle

          public org.apache.poi.ss.usermodel.CellStyle getHeaderCellStyle()

    - #### setHeaderCellstyle

          public void setHeaderCellstyle(org.apache.poi.ss.usermodel.CellStyle headerCellstyle)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.